#!/bin/bash

set -eu

TMPFILE=/tmp/ipset.save.$$

trap __exit EXIT

__exit() {
	rm -f $TMPFILE
}

ipset save > $TMPFILE
for ipset in $(grep ^create $TMPFILE | awk '{print $2}'); do
	echo "$ipset $(grep -c "^add $ipset" $TMPFILE || true)"
done | sort
