#!/usr/bin/env bash

. /usr/local/Reductor/etc/const
# shellcheck disable=SC1090

set -eu

main() {
	prefix="$1"
	output="$LISTDIR/tmp/$prefix.all"
	output_whitelist="$LISTDIR/tmp/${prefix}_whitelist.all"
	rm -f $output $output_whitelist
	for filetype in f l; do
		# shellcheck disable=SC2038
		find $LISTDIR/{rkn{,_archive/{00..23}},provider,carbonsoft,resolver} -maxdepth 1 -type $filetype -name "*.$prefix" | LC_ALL='' LC_CTYPE='' LANG='' xargs sort -u >> $output
		# shellcheck disable=SC2038
		find $LISTDIR/{rkn{,_archive/{00..23}},provider,carbonsoft,resolver} -maxdepth 1 -type $filetype -name "*.${prefix}_whitelist" | LC_ALL='' LC_CTYPE='' LANG='' xargs sort -u >> $output_whitelist
	done
}

main "$@"
