#!/bin/bash

. /usr/local/Reductor/etc/const
. $CONFIG

LOCKDIR=/var/lock/reductor/
LOCKFILE=$LOCKDIR/update.sh.lock
LOCKTIME=60
LOCKFATAL=1
FD=13

CUSTOM_EXIT=1
__custom_exit() {
	release_lock $LOCKFILE $FD &>/dev/null || true
}
trap __exit EXIT

set_lock $LOCKFILE $LOCKTIME $FD $LOCKFATAL
$BINDIR/sync_time.sh
nice -n 19 $BINDIR/rkn_download.sh &
timeout -s 15 60s $BINDIR/update_minjust.sh &
timeout -s 15 60s $BINDIR/update_workaround.sh &
wait
nice -n 19 $BINDIR/prepare_lists.sh
$BINDIR/update_signatures.sh
nice -n 19 $BINDIR/load.sh
release_lock $LOCKFILE $FD
