#!/bin/bash

counter=1
find /usr/local/ -maxdepth 1 -type d -name "old_Reductor.*" | sort | tac | while read line; do
	((counter++)) || true
	if [ "$counter" -gt 31 ]; then
		echo "Удаляем старую резервную копию Carbon Reductor: $line"
		if [ -d $line/reductor_container/proc/1 ]; then
			echo "В $line остался замонтированным proc"
			umount $line/reductor_container/proc || continue
		fi
		if [ -c $line/reductor_container/dev/urandom ]; then
			echo "В $line остался замонтированным dev"
			umount $line/reductor_container/dev || continue
		fi
		rm -rf $line
	fi
done
